<template>
  <div class="flex flex-column h-screen justify-content-between">
    <div>
      <Header />
      <router-view />
    </div>
    <Footer />
  </div>
</template>

<script>
import Header from "@/layout/Header";
import Footer from "@/layout/Footer";
import { getAuth, onAuthStateChanged } from "firebase/auth";

const auth = getAuth();

export default {
  components: {
    Header,
    Footer,
  },
  beforeMount() {
    onAuthStateChanged(auth, (user) => {
      const routeName = this.$route.name;
      const accessiblePages =
        routeName === "Login" ||
        routeName === "Register" ||
        routeName === "ForgotPassword";

      if (!accessiblePages && !user) {
        this.$router.replace({ name: "Login" });
      } else if (accessiblePages && user) {
        this.$router.replace({ name: "Home" });
      }
    });
  },
};
</script>


<style>
@import "~primeflex/primeflex.min.css";
@import "~primevue/resources/themes/saga-blue/theme.css";
@import "~primevue/resources/primevue.min.css";
@import "~primeicons/primeicons.css";

body {
  font-family: var(--font-family), serif;
  background-color: var(--surface-0);
  margin: 0;
  padding: 0;
  height: 100vh;
  box-sizing: border-box;
}
</style>
